%define		oname lshell

Name:		python-lshell
Version:	0.9.18
Release:	%mkrel 8
Summary:	Python-based limited Shell

Group:		Shells
License:	GPLv3+
URL:		https://github.com/ghantoos/lshell
Source:		https://github.com/ghantoos/%{oname}/releases/download/%{version}/%{oname}_%{version}+git279d7ab.zip

BuildArch:	noarch

BuildRequires:	pkgconfig(python3)

Requires:	python3

%description
lshell provides a limited shell configured per user. The configuration
is done quite simply using a configuration file.


%prep
%setup -q -n %{oname}-master
%autopatch -p1

#Fix permission
chmod -x CHANGES


%build
%py3_build


%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
#doc files at the wrong place
rm %{buildroot}%{_defaultdocdir}/lshell/{CHANGES,COPYING,README.md}


%files
%doc CHANGES COPYING README.md
%{_mandir}/man*/*.*
%{_bindir}/%{oname}
%config(noreplace) %{_sysconfdir}/%{oname}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{oname}
%{python3_sitelib}/%{oname}/
%{python3_sitelib}/%{oname}*.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.9.18-8.mga8
+ Revision: 1532036
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 0.9.18-7.mga8
+ Revision: 1441440
- rebuild for python-3.8

* Tue Jan 08 2019 sander85 <sander85> 0.9.18-6.mga7
+ Revision: 1352593
- Rebuild for python 3.7

* Tue Jan 08 2019 tv <tv> 0.9.18-5.mga7
+ Revision: 1351624
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.9.18-4.mga7
+ Revision: 1289178
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.9.18-3.mga7
+ Revision: 1135491
- Rebuild for python 3.6

* Wed Apr 26 2017 neoclust <neoclust> 0.9.18-2.mga6
+ Revision: 1097476
- Use master tarball - Fixes CVE-2016-6902 and CVE-2016-6903 (mga#19235)

* Tue May 03 2016 sander85 <sander85> 0.9.18-1.mga6
+ Revision: 1008983
- New version: 0.9.18

* Sat Jan 16 2016 sander85 <sander85> 0.9.17-1.mga6
+ Revision: 924704
- New version: 0.9.17

* Wed Oct 15 2014 umeabot <umeabot> 0.9.16-5.mga5
+ Revision: 750062
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.16-4.mga5
+ Revision: 728958
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.16-3.mga5
+ Revision: 688133
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Thu Feb 06 2014 sander85 <sander85> 0.9.16-1.mga5
+ Revision: 584429
- New version: 0.9.16

* Tue Oct 22 2013 umeabot <umeabot> 0.9.15.1-4.mga4
+ Revision: 543740
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.15.1-3.mga4
+ Revision: 498867
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.15.1-2.mga3
+ Revision: 379074
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 sander85 <sander85> 0.9.15.1-1.mga3
+ Revision: 343938
- imported package python-lshell

